powered by Jive Software

Problem with LDAP in new version 4.5.0 and older

Hello! I have
Openfire server:CentOS Linux release 7.7.1908 (Core)
Openfire 4.4.4.
java -version
openjdk version “1.8.0_232”
OpenJDK Runtime Environment (build 1.8.0_232-b09)
OpenJDK 64-Bit Server VM (build 25.232-b09, mixed mode)
LDAP Server: Windows Server SP2
It’s work fine BUT:
When I whanted to upgrade 4.5.0 version or older i have problem with syhcronisation with ldap.
Wizard go right on 1 and 2 step check is Ok. But on 3 step I will do administrator of openfire and check a password i have a error:
javax.naming.ldap.LdapName cannot be cast to java.lang.String.
And if I finished wizard openfire not work and error on all users.

What is can be?

Sounds like the problem discussed at Openfire 4.5 has bug with Active Directory

Greg

Thanks. I have another text of error java, but will try script. In time when users don’t used openfire. In searching of this error in google i will see that not right java command used for synchronization with ldap

Actually, on reflection it looks like the issue discussed at Environment property Context.SECURITY_PRINCIPAL must be set as string in org.jivesoftware.openfire.ldap.LdapManager otherwise CCE is thrown

Greg

Thanks. Yes this is like my ticket. I can add in my server can’t loggin all users, and chat not work, and “Wrong password”. I testing beta version, there is problem too.